% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/os.R
\name{os}
\alias{os}
\alias{os.unix}
\alias{os.linux}
\alias{os.macos}
\alias{os.windows}
\title{Operating System}
\usage{
os()

os.linux()

os.macos()

os.windows()
}
\value{
\code{os} returns the name of the operating system, typically \code{"Linux"},
\code{"Darwin"}, or \code{"Windows"}.

\code{os.linux}, \code{os.macos}, and \code{os.windows} return \code{TRUE} or
\code{FALSE}.
}
\description{
Determine operating system name.
}
\note{
The macOS operating system identifies itself as \code{"Darwin"}.

These shorthand functions can be useful when writing workaround solutions in
platform-independent scripts.
}
\examples{
os()
os.linux()
os.macos()
os.windows()

}
\seealso{
\code{\link{Sys.info}} is the underlying function used to extract the
operating system name.

\code{\link{icesTAF-package}} gives an overview of the package.
}
